Skip to main content
GET
/
v1
/
movements
/
{id}
Consulta movimento por id
curl --request GET \
  --url https://stater.stric.io/v1/movements/{id} \
  --header 'Authorization: Bearer <token>'
{
  "movementId": "<string>",
  "movement": {
    "type": "CREDIT",
    "status": "<string>",
    "source": "PIX_IN",
    "description": "<string>",
    "externalRef": "<string>",
    "feeAmount": "<string>",
    "reversesMovementId": "<string>",
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z"
  },
  "entries": [
    {
      "id": "<string>",
      "accountId": "<string>",
      "amount": "<string>",
      "balanceAfter": "<string>",
      "kind": "PRIMARY",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Headers

X-Pix-Account-Id
string

Id da conta Pix sobre a qual a operação atua. Obrigatório quando sua API key não está vinculada a uma conta específica.

Required string length: 10 - 40

Path Parameters

id
string
required
Required string length: 10 - 64

Response

OK

movementId
string
required
movement
object
required
entries
object[]
required
{key}
any